Package io.papermc.paper.event.packet

# Class PlayerChunkUnloadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent
io.papermc.paper.event.packet.PlayerChunkUnloadEvent

public class PlayerChunkUnloadEvent extends ChunkEvent
Is called when a `Player` receives a chunk unload packet. Should only be used for packet/clientside related stuff. Not intended for modifying server side.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.world.ChunkEvent

`chunk`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChunkUnloadEvent(@NotNull Chunk chunk, @NotNull Player player)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Player`
`getPlayer()`

### Methods inherited from class org.bukkit.event.world.ChunkEvent

`getChunk`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChunkUnloadEvent

public PlayerChunkUnloadEvent(@NotNull @NotNull Chunk chunk, @NotNull @NotNull Player player)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getPlayer

@NotNull public @NotNull Player getPlayer()

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()